Home > Cannot Find > Php Configure Cannot Find Libmysqlclient

Php Configure Cannot Find Libmysqlclient

Contents

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed no checking for MSSQL support via FreeTDS... yes checking for specified location of the MySQL UNIX socket... This the server was configured with the php yum version which shipped with the OS. Check This Out

I had to up-grade on MySQL server to 5.5 on last week in a server. I'm another one helped by this thread, arunr's was indeed the correct fix. To see if your MySQL server is 64-bit or 32-bit check the version by issuing the below command and looking for a response also shown below. The article has been updated. http://stackoverflow.com/questions/11134220/cannot-find-libmysqlclient-under-usr-while-build-php-5-2-from-source-on-ubuntu

Cannot Find Mysql Header Files Under

and add the line extension=memcached.so at the end of the file: [...] extension=memcached.so The ionCube Loader can be installed as follows: cd /tmp Next download and unpack the correct ionCube Loader This, like the last poster, has been a life saver for me. Notices Welcome to LinuxQuestions.org, a friendly and active Linux Community. asked 4 years ago viewed 20009 times active 1 year ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 1 Setting up a server and can't find libmysqlclient under

The command that I am running is: ./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql --with-libdir I have installed libmysqlclient and when I run locate libmysqlclient I get results returned, although none of them are the I just removed the --with-lib-dir option. Lab colleague uses cracked software. Checking For Specified Location Of The Mysql Unix Socket... No Solution You have to include "-with-libdir=lib64″ in config.

Thanks. Libmysqlclient_r Should I report it? Polyglot Anagrams Cops' Thread What happens when a wizard tries to cast a cone of cold through a wall of fire? http://www.linuxquestions.org/questions/linux-server-73/php-configure-cannot-find-libmysqlclient-582944/ while build PHP 5.2 from source on Ubuntu 12.4 up vote 10 down vote favorite 2 I was trying to build PHP 5.2.17 from source on Ubuntu 12.4 64bit using this

What now? Note That The Mysql Client Library Is Not Bundled Anymore! Password Linux - Server This forum is for the discussion of Linux Software used in a server related context. yes
checking for specified location of the MySQL UNIX socket... What crime would be illegal to uncover in medieval Europe?

Libmysqlclient_r

How should I remove the default Home item? http://wiki.iphoster.ru/wiki/CentOS_php_-_configure:_error:_Cannot_find_libmysqlclient_under_/usr. Download the source file from php.net and installing. Cannot Find Mysql Header Files Under while build PHP 5.2 from source on Ubuntu 12.4 Updated from your comment! Php Cannot Find Libmysqlclient_r Thanks!

If you'd like to contribute content, let us know. http://amigasuperbit.com/cannot-find/phpfarm-configure-error-cannot-find-libmysqlclient-under-usr.html justin69 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by justin69 11-24-2012, 08:22 AM #10 lasantha86 LQ Newbie Registered: Oct 2008 Distribution: I was really pulling my hair out over that one. web based application development Configure Error Cannot Find Mysql Header Files Under Usr Bin

Thanks! For x86_64: wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz tar xfvz ioncube_loaders_lin_x86-64.tar.gz For x86: wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86.tar.gz tar xfvz ioncube_loaders_lin_x86.tar.gz Proceed as follows: cp ioncube/ioncube_loader_lin_5.3.so /opt/phpfcgi-5.3.22/lib/php/extensions/no-debug-non-zts-20090626/ioncube.so vi /opt/phpfcgi-5.3.22/lib/php.ini Add the line zend_extension = /opt/phpfcgi-5.3.22/lib/php/extensions/no-debug-non-zts-20090626/ioncube.so right at the share|improve this answer answered Nov 8 '09 at 20:45 johannes 40019 add a comment| up vote 1 down vote Maybe for some poor soul this will work: ./configure --with-apxs2=/usr/sbin/apxs --with-mysql=mysqlnd --with-mysqli=mysqlnd http://amigasuperbit.com/cannot-find/php-configure-error-cannot-find-libmysqlclient-under.html River Crossing Puzzle Possible XML handles in Magento 2?

In Revelation 19:16, of which kings is Jesus king? Install Libmysqlclient So I'm planning to install PHP manually after remove all the php package using yum. Wrong way on a bike lane?

The users who voted to close gave this specific reason:"Questions should demonstrate reasonable business information technology management practices.

Can Trump undo the UN climate change agreement? On the Name tab, you just fill in a name for the PHP version (e.g. The server quit without updating PID file How to Configure NVFax on FreePBX Question Defense ©2016 Log in or Sign up English | Deutsch Tutorials Tutorial search Tags Forums Contribute Subscribe Configure: Error: Cannot Find Openssl's Libraries Activities November 2012 M T W T F S S « Oct Dec » 1234 567891011 12131415161718 19202122232425 2627282930 Archives August 2016 July 2016 February 2016 January 2016 November

So the right way to run configure is: ./configure --with-mysql=/usr/bin/ --with-libdir=lib64 Hope that helps! (Hey, PHP guys who wrote the configure script: why not include check on /usr/lib64/ as well?) no checking for mSQL support... Thank you so much! navigate here iforce2d View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by iforce2d 07-27-2012, 04:14 AM #9 justin69 LQ Newbie Registered: Jul 2012 Posts:

Start a free trial of Bitbucket Server and get your shirt. Registration is quick, simple and absolutely free. The APC, memcache, and memcached modules can be installed through PEAR which we must install and initialize first: apt-get -y install php-pear cd /opt/phpfcgi-5.3.22/etc pecl -C ./pear.conf update-channels APC can now alex Reply Leave a Reply Cancel reply Name * Email * Sponsors Latest Articles WEMO Application Not Detecting LED Bulbs TokuDB Google Cloud Install: Starting MySQL… ERROR!

Material created by Anton Designed by Paul Gu Categories Code Snippets Errors Insights Labs Security Pages Backtrack Linux Consulting Contact Documentation Kali Linux Tags Tools Sponsors Home » »configure: error: Cannot Bookmark the permalink. yes checking for libmcrypt version... >= 2.5.6 checking for mcrypt_module_open in -lmcrypt... By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features.

When you do compile this it's called the PHP LSAPI module which is then used by Litespeed to process PHP. How much time would it take for a planet scale Miller-Urey experiment to generate intelligent life I changed one method signature and now have over 25,000 errors. I installed apache with no issues. Reply alex 2:29 PM March 7, 2011 Hello Artorios Rex, No worries man!

make make install Copy php.ini to the correct location: cp /usr/local/src/php5-build/php-5.3.22/php.ini-production /opt/phpfcgi-5.3.22/lib/php.ini That's it - if you like, you can now install some additional modules like APC, memcache, memcached, and ioncube. Was stuck with compiling php 5.3.29 for phpfarm usage. Note that the MySQL client library is not bundled anymore! But arunr's answer helped me too by pointing me in the right direction!

and add the line extension=apc.so at the end of the file (you can also configure some additional APC settings): [...] extension=apc.so apc.enabled=1 apc.shm_size=128M apc.ttl=0 apc.user_ttl=600 apc.gc_ttl=600 apc.enable_cli=1 apc.mmap_file_mask=/tmp/apc.XXXXXX ;apc.mmap_file_mask=/dev/zero ;apc.shm_segments = I stumbled upon this via this stackoverflow question (http://stackoverflow.com/questions/1...urce-on-ubuntu). Why "silver-tongued" for someone who is convincing? What is the most someone can lose the popular vote by but still win the electoral college?

no configure: error: Cannot find libmysqlclient under /usr.